diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
index bd3ad137..7622cd0b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
@@ -1,20 +1,20 @@
 /* Create and Register Function Collection and Node. */
 define('pgadmin.node.function', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'alertify',
-  'pgadmin.browser.collection', 'pgadmin.browser.server.privilege'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
+  'pgadmin.browser.collection', 'pgadmin.browser.server.privilege',
+], function(gettext, url_for, $, _, Backbone, pgAdmin, pgBrowser, Backform) {
 
   if (!pgBrowser.Nodes['coll-function']) {
-    var functions = pgBrowser.Nodes['coll-function'] =
+    pgBrowser.Nodes['coll-function'] =
       pgBrowser.Collection.extend({
         node: 'function',
         label: gettext('Functions'),
         type: 'coll-function',
         columns: ['name', 'funcowner', 'description'],
-        hasStatistics: true
+        hasStatistics: true,
       });
-  };
+  }
 
   // Argument Model
   var ArgumentModel = pgBrowser.Node.Model.extend({
@@ -24,44 +24,44 @@ define('pgadmin.node.function', [
       argtype: undefined,
       argmode: undefined,
       argname: undefined,
-      argdefval: undefined
+      argdefval: undefined,
     },
     schema: [{
       id: 'argid', visible: false, type: 'text',
-      mode: ['properties', 'edit','create']
-      },{
-        id: 'argtype', label: gettext('Data Type'), cell:
+      mode: ['properties', 'edit','create'],
+    },{
+      id: 'argtype', label: gettext('Data Type'), cell:
         'node-ajax-options', cellHeaderClasses: 'width_percent_30',
-        control: 'node-ajax-options', type: 'text', url: 'get_types',
-        editable: function(m) {
-          var node_info = this.get('node_info');
-          if(node_info && 'catalog' in node_info) {
-            return false;
-          }
-          return _.isUndefined(m.isNew) ? true : m.isNew();
-        }, first_empty: true
-      },{
-        id: 'argmode', label: gettext('Mode'), type: 'options',
-        control: 'node-ajax-options', cellHeaderClasses:'width_percent_20',
-        options:[
+      control: 'node-ajax-options', type: 'text', url: 'get_types',
+      editable: function(m) {
+        var node_info = this.get('node_info');
+        if(node_info && 'catalog' in node_info) {
+          return false;
+        }
+        return _.isUndefined(m.isNew) ? true : m.isNew();
+      }, first_empty: true,
+    },{
+      id: 'argmode', label: gettext('Mode'), type: 'options',
+      control: 'node-ajax-options', cellHeaderClasses:'width_percent_20',
+      options:[
           {'label': 'IN', 'value': 'IN'},
           {'label': 'OUT', 'value': 'OUT'},
           {'label': 'INOUT', 'value': 'INOUT'},
-          {'label': 'VARIADIC', 'value': 'VARIADIC'}
-        ], editable: function(m) {
-             var node_info = this.get('node_info');
-             if(node_info && 'catalog' in node_info) {
-               return false;
-             }
-             return _.isUndefined(m.isNew) ? true : m.isNew();
-           }
-      },{
-        id: 'argname', label: gettext('Argument Name'), type: 'text',
-        cell: 'string', editable: 'isInCatalog', cellHeaderClasses:'width_percent_30'
-      },{
-        id: 'argdefval', label: gettext('Default Value'), type: 'text',
-        cell: 'string', editable: 'isInCatalog',  cellHeaderClasses:'width_percent_20'
-      }
+          {'label': 'VARIADIC', 'value': 'VARIADIC'},
+      ], editable: function(m) {
+        var node_info = this.get('node_info');
+        if(node_info && 'catalog' in node_info) {
+          return false;
+        }
+        return _.isUndefined(m.isNew) ? true : m.isNew();
+      },
+    },{
+      id: 'argname', label: gettext('Argument Name'), type: 'text',
+      cell: 'string', editable: 'isInCatalog', cellHeaderClasses:'width_percent_30',
+    },{
+      id: 'argdefval', label: gettext('Default Value'), type: 'text',
+      cell: 'string', editable: 'isInCatalog',  cellHeaderClasses:'width_percent_20',
+    },
     ],
     toJSON: Backbone.Model.prototype.toJSON,
     isInCatalog: function(m){
@@ -79,7 +79,7 @@ define('pgadmin.node.function', [
       return true;
     },
     validate: function() {
-    }
+    },
   });
 
   if (!pgBrowser.Nodes['function']) {
@@ -95,10 +95,10 @@ define('pgadmin.node.function', [
       hasStatistics: true,
       hasScriptTypes: ['create', 'select'],
       parent_type: ['schema', 'catalog'],
-      Init: function(args) {
+      Init: function() {
         /* Avoid mulitple registration of menus */
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -107,20 +107,20 @@ define('pgadmin.node.function', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Function...'),
           icon: 'wcTabIcon icon-function', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_function', node: 'function', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Function...'),
           icon: 'wcTabIcon icon-function', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_function', node: 'schema', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Function...'),
           icon: 'wcTabIcon icon-function', data: {action: 'create', check: false},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
 
       },
@@ -171,58 +171,58 @@ define('pgadmin.node.function', [
           seclabels: [],
           acl: [],
           sysfunc: undefined,
-          sysproc: undefined
+          sysproc: undefined,
         },
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'],
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'funcowner', label: gettext('Owner'), cell: 'string',
           control: Backform.NodeListByNameControl, node: 'role',  type:
-          'text', disabled: 'isDisabled'
+          'text', disabled: 'isDisabled',
         },{
           id: 'pronamespace', label: gettext('Schema'), cell: 'string',
           control: 'node-list-by-id', type: 'text', cache_level: 'database',
-          node: 'schema', disabled: 'isDisabled', mode: ['create', 'edit']
+          node: 'schema', disabled: 'isDisabled', mode: ['create', 'edit'],
         },{
           id: 'sysfunc', label: gettext('System function?'),
-           cell:'boolean', type: 'switch',
-           mode: ['properties'], visible: 'isVisible'
+          cell:'boolean', type: 'switch',
+          mode: ['properties'], visible: 'isVisible',
         },{
           id: 'sysproc', label: gettext('System procedure?'),
-           cell:'boolean', type: 'switch',
-           mode: ['properties'], visible: 'isVisible'
+          cell:'boolean', type: 'switch',
+          mode: ['properties'], visible: 'isVisible',
         },{
           id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', disabled: 'isDisabled'
+          type: 'multiline', disabled: 'isDisabled',
         },{
           id: 'pronargs', label: gettext('Argument count'), cell: 'string',
-          type: 'text', group: gettext('Definition'), mode: ['properties']
+          type: 'text', group: gettext('Definition'), mode: ['properties'],
         },{
           id: 'proargs', label: gettext('Arguments'), cell: 'string',
           type: 'text', group: gettext('Definition'), mode: ['properties', 'edit'],
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'proargtypenames', label: gettext('Signature arguments'), cell:
           'string', type: 'text', group: gettext('Definition'), mode: ['properties'],
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'prorettypename', label: gettext('Return type'), cell: 'string',
           control: 'node-ajax-options', type: 'text', group: gettext('Definition'),
           url: 'get_types', disabled: 'isDisabled', first_empty: true,
-          mode: ['create'], visible: 'isVisible'
+          mode: ['create'], visible: 'isVisible',
         },{
           id: 'prorettypename', label: gettext('Return type'), cell: 'string',
           type: 'text', group: gettext('Definition'),
-          mode: ['properties', 'edit'], disabled: 'isDisabled', visible: 'isVisible'
+          mode: ['properties', 'edit'], disabled: 'isDisabled', visible: 'isVisible',
         },  {
           id: 'lanname', label: gettext('Language'), cell: 'string',
           control: 'node-ajax-options', type: 'text', group: gettext('Definition'),
-          url: 'get_languages', disabled: 'isDisabled'
+          url: 'get_languages', disabled: 'isDisabled',
         },{
           id: 'prosrc', label: gettext('Code'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'],
@@ -234,21 +234,21 @@ define('pgadmin.node.function', [
               return false;
             }
             return true;
-          }, disabled: 'isDisabled'
+          }, disabled: 'isDisabled',
         },{
           id: 'probin', label: gettext('Object file'), cell: 'string',
           type: 'text', group: gettext('Definition'), deps: ['lanname'], visible:
           function(m) {
             if (m.get('lanname') == 'c') { return true; }
             return false;
-          }, disabled: 'isDisabled'
+          }, disabled: 'isDisabled',
         },{
           id: 'prosrc_c', label: gettext('Link symbol'), cell: 'string',
           type: 'text', group: gettext('Definition'),  deps: ['lanname'], visible:
           function(m) {
             if (m.get('lanname') == 'c') { return true; }
             return false;
-          }, disabled: 'isDisabled'
+          }, disabled: 'isDisabled',
         },{
           id: 'provolatile', label: gettext('Volatility'), cell: 'string',
           control: 'node-ajax-options', type: 'text', group: gettext('Options'),
@@ -256,27 +256,27 @@ define('pgadmin.node.function', [
             {'label': 'VOLATILE', 'value': 'v'},
             {'label': 'STABLE', 'value': 's'},
             {'label': 'IMMUTABLE', 'value': 'i'},
-          ], disabled: 'isDisabled', select2: {allowClear: false}
+          ], disabled: 'isDisabled', select2: {allowClear: false},
         },{
           id: 'proretset', label: gettext('Returns a set?'), type: 'switch',
           disabled: 'isDisabled', group: gettext('Options'),
-          visible: 'isVisible'
+          visible: 'isVisible',
         },{
           id: 'proisstrict', label: gettext('Strict?'), type: 'switch',
           group: gettext('Options'), disabled: 'isDisabled',
           options: {
             'onText': gettext('Yes'), 'offText': gettext('No'),
             'onColor': 'success', 'offColor': 'primary',
-            'size': 'small'
-           }
+            'size': 'small',
+          },
         },{
           id: 'prosecdef', label: gettext('Security of definer?'),
-           group: gettext('Options'), type: 'switch',
-           disabled: 'isDisabled'
+          group: gettext('Options'), type: 'switch',
+          disabled: 'isDisabled',
         },{
           id: 'proiswindow', label: gettext('Window?'),
-           group: gettext('Options'), cell:'boolean', type: 'switch',
-            disabled: 'isDisabled', visible: 'isVisible'
+          group: gettext('Options'), cell:'boolean', type: 'switch',
+          disabled: 'isDisabled', visible: 'isVisible',
         },{
           id: 'proparallel', label: gettext('Parallel'), cell: 'string',
           control: 'node-ajax-options', type: 'text', group: gettext('Options'),
@@ -285,21 +285,21 @@ define('pgadmin.node.function', [
             {'label': 'RESTRICTED', 'value': 'r'},
             {'label': 'SAFE', 'value': 's'},
           ], disabled: 'isDisabled', min_version: 90600,
-          select2: {allowClear: false}
+          select2: {allowClear: false},
         },{
           id: 'procost', label: gettext('Estimated cost'), group: gettext('Options'),
-          cell:'string', type: 'text', disabled: 'isDisabled'
+          cell:'string', type: 'text', disabled: 'isDisabled',
         },{
           id: 'prorows', label: gettext('Estimated rows'), type: 'text',
           deps: ['proretset'], visible: 'isVisible', disabled: 'isDisabled',
-          group: gettext('Options')
+          group: gettext('Options'),
         },{
           id: 'proleakproof', label: gettext('Leak proof?'),
           group: gettext('Options'), cell:'boolean', type: 'switch', min_version: 90200,
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'proacl', label: gettext('Privileges'), type: 'text',
-          mode: ['properties'], group: gettext('Security')
+          mode: ['properties'], group: gettext('Security'),
         },{
           id: 'arguments', label: gettext('Arguments'), cell: 'string',
           group: gettext('Arguments'), type: 'collection', canAdd: function(m){
@@ -315,15 +315,15 @@ define('pgadmin.node.function', [
           group: gettext('Parameters'), control: 'variable-collection',
           model: pgBrowser.Node.VariableModel,
           mode: ['edit', 'create'], canAdd: 'canVarAdd', canEdit: false,
-          canDelete: true, disabled: 'isDisabled'
+          canDelete: true, disabled: 'isDisabled',
         }, pgBrowser.SecurityGroupSchema, {
           id: 'acl', label: gettext('Privileges'), editable: false,
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
-            privileges: ['X']
+            privileges: ['X'],
           }), uniqueCol : ['grantee', 'grantor'], type: 'collection',
           group: 'security', mode: ['edit', 'create'], canAdd: true,
           canDelete: true, control: 'unique-col-collection',
-          disabled: 'isDisabled'
+          disabled: 'isDisabled',
         },{
           id: 'seclabels', label: gettext('Security Labels'), canAdd: true,
           model: pgBrowser.SecLabelModel, type: 'collection',
@@ -331,15 +331,15 @@ define('pgadmin.node.function', [
           canEdit: false, canDelete: true, uniqueCol : ['provider'],
           disabled: 'isDisabled', control: 'unique-col-collection',
           visible: function() {
-            return this.node && this.node.type != "procedure";
-          }
-        }
+            return this.node && this.node.type != 'procedure';
+          },
+        },
         ],
         validate: function()
         {
           var err = {},
-              errmsg,
-              seclabels = this.get('seclabels');
+            errmsg,
+            seclabels = this.get('seclabels');
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
@@ -405,43 +405,36 @@ define('pgadmin.node.function', [
 
           return null;
         },
-        isVisible: function(m){
+        isVisible: function() {
           if (this.name == 'sysproc') { return false; }
           return true;
         },
-        isDisabled: function(m){
-          if(this.node_info &&  'catalog' in this.node_info) {
+        isDisabled: function(m) {
+          if(this.node_info && 'catalog' in this.node_info) {
             return true;
           }
-          name = this.name;
-          switch(name){
-            case 'proargs':
-            case 'proargtypenames':
-            case 'prorettypename':
-            case 'proretset':
-            case 'proiswindow':
-              return !m.isNew();
-              break;
-            case 'prorows':
-              if(m.get('proretset') == true) {
-                return false;
-              }
-              else {
-                return true;
-              }
-              break;
-            default:
+          switch(this.name){
+          case 'proargs':
+          case 'proargtypenames':
+          case 'prorettypename':
+          case 'proretset':
+          case 'proiswindow':
+            return !m.isNew();
+          case 'prorows':
+            if(m.get('proretset') == true) {
               return false;
-              break;
+            }
+            return true;
+          default:
+            return false;
           }
-          return false;
         },
-        canVarAdd: function(m) {
+        canVarAdd: function() {
           if(this.node_info &&  'catalog' in this.node_info) {
             return false;
           }
-         return true;
-        }
+          return true;
+        },
       }),
       canCreate: function(itemData, item, data) {
         //If check is false then , we will allow create menu
@@ -470,8 +463,8 @@ define('pgadmin.node.function', [
         }
         // by default we do not want to allow create menu
         return true;
-      }
-  });
+      },
+    });
 
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
index 17801de2..041b5091 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
@@ -3,19 +3,19 @@ define('pgadmin.node.procedure', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'alertify',
   'pgadmin.node.function', 'pgadmin.browser.collection',
-  'pgadmin.browser.server.privilege'
+  'pgadmin.browser.server.privilege',
 ], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify, Function) {
 
   if (!pgBrowser.Nodes['coll-procedure']) {
-    var procedures = pgAdmin.Browser.Nodes['coll-procedure'] =
+    pgAdmin.Browser.Nodes['coll-procedure'] =
       pgAdmin.Browser.Collection.extend({
         node: 'procedure',
         label: gettext('Procedures'),
         type: 'coll-procedure',
         columns: ['name', 'funcowner', 'description'],
-        hasStatistics: true
+        hasStatistics: true,
       });
-  };
+  }
 
   var pgSchemaNode = pgBrowser.Nodes['schema'];
 
@@ -36,7 +36,7 @@ define('pgadmin.node.procedure', [
       Init: function() {
         /* Avoid mulitple registration of menus */
         if (this.proc_initialized)
-            return;
+          return;
 
         this.proc_initialized = true;
 
@@ -46,25 +46,25 @@ define('pgadmin.node.procedure', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Procedure...'),
           icon: 'wcTabIcon icon-procedure', data: {action: 'create', check:
-          false}, enable: 'canCreateProc'
+          false}, enable: 'canCreateProc',
         },{
           name: 'create_procedure', node: 'procedure', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Procedure...'),
           icon: 'wcTabIcon icon-procedure', data: {action: 'create', check:
-          true}, enable: 'canCreateProc'
+          true}, enable: 'canCreateProc',
         },{
           name: 'create_procedure', node: 'schema', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Procedure...'),
           icon: 'wcTabIcon icon-procedure', data: {action: 'create', check:
-          true}, enable: 'canCreateProc'
-        }
+          true}, enable: 'canCreateProc',
+        },
         ]);
       },
       canDrop: pgSchemaNode.canChildDrop,
       canDropCascade: false,
-      canCreateProc: function(itemData, item, data) {
+      canCreateProc: function(itemData, item) {
         var node_hierarchy = this.getTreeNodeHierarchy.apply(this, [item]);
 
         // Do not provide Create option in catalog
@@ -72,28 +72,28 @@ define('pgadmin.node.procedure', [
           return false;
 
         // Procedures supported only in PPAS
-        if ('server' in node_hierarchy && node_hierarchy['server'].server_type == "ppas")
-          return true;
-
-        return false;
+        return (
+          'server' in node_hierarchy &&
+            node_hierarchy['server'].server_type == 'ppas'
+        );
       },
       model: Function.model.extend({
         defaults: _.extend({},
           Function.model.prototype.defaults,
           {
-            lanname: 'edbspl'
+            lanname: 'edbspl',
           }
         ),
-        canVarAdd: function(m){
+        canVarAdd: function() {
           var server = this.node_info.server;
-            if (server.version < 90500) {
-              return false;
-           }
-           else {
-             return true;
-           }
+          if (server.version < 90500) {
+            return false;
+          }
+          else {
+            return true;
+          }
         },
-        isVisible: function(m){
+        isVisible: function() {
           if (this.name == 'sysfunc') { return false; }
           else if (this.name == 'sysproc') { return true; }
           return false;
@@ -102,46 +102,30 @@ define('pgadmin.node.procedure', [
           if(this.node_info &&  'catalog' in this.node_info) {
             return true;
           }
-          name = this.name;
-          switch(name){
-            case 'provolatility':
-            case 'proisstrict':
-            case 'prosecdef':
-            case 'procost':
-            case 'proleakproof':
-            case 'variables':
-               var server = this.node_info.server;
-               if (server.version < 90500) {
-                 return true;
-               }
-               else {
-                 return false;
-               }
-               break;
-            case 'prorows':
-              var server = this.node_info.server;
-              if(server.version >= 90500 && m.get('proretset') == true) {
-                return false;
-              }
-              else {
-                return true;
-              }
-              break;
-            case 'funcowner':
-            case 'lanname':
-            case 'proargs':
-              return true;
-            default:
-              return false;
-              break;
+          switch(this.name){
+          case 'provolatility':
+          case 'proisstrict':
+          case 'prosecdef':
+          case 'procost':
+          case 'proleakproof':
+          case 'variables':
+            return this.node_info.server.version < 90500;
+          case 'prorows':
+            var server = this.node_info.server;
+            return !(server.version >= 90500 && m.get('proretset') == true);
+          case 'funcowner':
+          case 'lanname':
+          case 'proargs':
+            return true;
+          default:
+            return false;
           }
-          return false;
-       },
-       validate: function()
+        },
+        validate: function()
         {
           var err = {},
-              errmsg,
-              seclabels = this.get('seclabels');
+            errmsg,
+            seclabels = this.get('seclabels');
 
           if (_.isUndefined(this.get('name')) || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             err['name'] = gettext('Name cannot be empty.');
@@ -179,8 +163,8 @@ define('pgadmin.node.procedure', [
 
           return null;
         },
-      })
-  });
+      }),
+    });
 
   }
 
